﻿using System.Drawing;
using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.DataPreprocessing {
  [Item("DataCompletenessChart", "Represents a datacompleteness chart.")]

  public class DataCompletenessChartContent : Item, IViewChartShortcut
  {
    public static new Image StaticItemImage {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.EditBrightnessContrast; }
    }

    private readonly SearchLogic searchLogic;

    public IDataGridLogic DataGridLogic { get; private set; }
    public ISearchLogic SearchLogic { get; private set; }

    public DataCompletenessChartContent(SearchLogic searchLogic)
    {
      this.searchLogic = searchLogic;
    }
    
    public DataCompletenessChartContent(DataCompletenessChartContent content, Cloner cloner)
      : base(content, cloner)
    {
      this.searchLogic = content.searchLogic;
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new DataCompletenessChartContent(this, cloner);
    }
  }
}
